* {
    padding: 0;
    margin: 0;
    ;
}

body {
    background-image: url(/img/2c.jpg);
    text-align: center;
    margin: 20px;
}

h1 {
    color: rgb(41, 135, 151);
    text-shadow: 1px 1px 0 white;
}

#startGame {
    display: block;
    font-size: 20px;
    /* bigger text */
    padding: 15px 20px;
    /* more clickable area */
    margin: 0 auto;
    border-radius: 10px;
}

.gameboard {
    height: 840px;
    width: 840px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    box-sizing: border-box;
    /* margin: 0; */
    /* padding: 0; */
    /* gap: 0; */
    /* justify-content: flex-start; */
    align-content: flex-start;
    margin: 0 auto;
    margin-top: 8px;
}

/* holds all elements and determines size of he card */
.maincontainer {
    position: relative;
    width: 160px;
    height: 130px;
    box-sizing: border-box;
}

.cat {
    position: relative;
    width: 160px;
    height: 120px;
    box-sizing: border-box;
    font-size: 32px;
    text-align: center;
    vertical-align: middle;
    text-transform: capitalize;
    padding: 8px;
    padding-top: 20px;
    border: 7px groove gold;
    background-color: rgb(12, 131, 89);
    color: hsla(178, 50%, 91%, .8);
    text-shadow: 1px 1px 0 hsla(42, 50%, 46%, 1);
}

/* holds front and back elements */
/* holds hover animation */
.thecard {
    position: absolute;
    cursor: pointer;
    width: 100%;
    height: 100%;
    font-size: 50px;
    flex-wrap: wrap;
    white-space: normal;
    overflow-wrap: break-word;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    box-sizing: border-box;
    border: 10px groove rgb(37, 81, 65);
    background-color: rgb(12, 131, 89);
    color: hsla(178, 50%, 91%, .8);
    text-shadow: 1px 1px 0 hsla(42, 50%, 46%, 1);
    /* without 2d flip it just shows the reverse of the front card */
    transform-style: preserve-3d;
    transition: all 0.5s ease;
    perspective: 1000px;
}

.thecard.is-flipped {
    transform: rotateY(180deg);
}



/* the default face */
.thefront {
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    vertical-align: middle;
    /* without: causes flicker */
    backface-visibility: hidden;
    padding-top: 50px;
}

/* back of the card */
.theback {
    position: absolute;
    width: 100%;
    height: 100%;
    font-size: 14px;
    backface-visibility: hidden;
    color: aliceblue;
    transform: rotateY(180deg);
}

button {
    background-color: rebeccapurple;
    color: aliceblue;
    border-radius: 5px;
    cursor: pointer;
}

.ans {
    display: none;
    color: gold;
    font-weight: bold;
    /* font-size: 20px; */
}

.absBtn {
    position: absolute;
    bottom: 5px;
    right: 5px;
    padding: 2px;
}